Create a company
curl --request POST \
--url https://sandbox.tight.com/v6/company \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "ACME Corp",
"owners": [
{
"userId": "fake_userId",
"email": "joe@tight.com",
"firstName": "Joe",
"lastName": "Perkins"
}
],
"businessTypeId": "<string>",
"id": "co_235823",
"apiCompanyId": "fake_company_123",
"address": {
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"accountingMethod": "ACCRUAL",
"availableFeatures": {
"bankTransactions": true,
"bills": true,
"bookkeeping": true,
"imports": true,
"invoicing": true,
"payroll": true,
"reporting": true,
"taxes": true,
"timeTracking": true,
"mileage": true
}
}
'import requests
url = "https://sandbox.tight.com/v6/company"
payload = {
"name": "ACME Corp",
"owners": [
{
"userId": "fake_userId",
"email": "joe@tight.com",
"firstName": "Joe",
"lastName": "Perkins"
}
],
"businessTypeId": "<string>",
"id": "co_235823",
"apiCompanyId": "fake_company_123",
"address": {
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"accountingMethod": "ACCRUAL",
"availableFeatures": {
"bankTransactions": True,
"bills": True,
"bookkeeping": True,
"imports": True,
"invoicing": True,
"payroll": True,
"reporting": True,
"taxes": True,
"timeTracking": True,
"mileage": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'ACME Corp',
owners: [
{
userId: 'fake_userId',
email: 'joe@tight.com',
firstName: 'Joe',
lastName: 'Perkins'
}
],
businessTypeId: '<string>',
id: 'co_235823',
apiCompanyId: 'fake_company_123',
address: {
state: '<string>',
city: '<string>',
zip: '<string>',
phoneWork: '<string>',
address1: '<string>',
address2: '<string>'
},
accountingMethod: 'ACCRUAL',
availableFeatures: {
bankTransactions: true,
bills: true,
bookkeeping: true,
imports: true,
invoicing: true,
payroll: true,
reporting: true,
taxes: true,
timeTracking: true,
mileage: true
}
})
};
fetch('https://sandbox.tight.com/v6/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "ACME Corp",
"owners": [
{
"userId": "fake_userId",
"email": "joe@tight.com",
"firstName": "Joe",
"lastName": "Perkins",
"language": "EN"
}
],
"id": "co_235823",
"apiCompanyId": "fake_company_123",
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"accountingMethod": "ACCRUAL",
"businessType": {
"id": "bzt_123456",
"name": "Electrician"
},
"availableFeatures": {
"bankTransactions": true,
"bills": true,
"bookkeeping": true,
"imports": true,
"invoicing": true,
"payroll": true,
"reporting": true,
"taxes": true,
"timeTracking": true,
"mileage": true
},
"status": "ACTIVE"
},
"readyToLaunchUrl": "<string>"
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Account Provisioning
Create a company
Create a company in the Tight API
POST
/
v6
/
company
Create a company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Body
application/json
Name of the company
Example:
"ACME Corp"
The type of entity
Available options:
SOLE_PROPRIETORSHIP, LLP, LLC, S_CORP, C_CORP Show child attributes
Show child attributes
Id of the business type of the company
Id of the company, required to update an existing company
Example:
"co_235823"
Id of the company in your DB (defaults to userId if not specified)
Example:
"fake_company_123"
Address of the vendor
Show child attributes
Show child attributes
Accounting method used by the company
Available options:
ACCRUAL, CASH Example:
"ACCRUAL"
Available features for the company
Show child attributes
Show child attributes
Response
Success
⌘I